{% extends "base.html" %}
{% block title %}Asignacion Tribunal{% endblock %}
{% block body %}
    {{ super() }}


    <div class="form-group boxed table-responsive" id="box_filtro">  
            <label class="my-1 mr-2"><b>Mis TFGs</b></label>
            <form action = "" method = "post">
            <table id="tableListadoTFG" class="table table-hover">
                <thead>
                  <tr>
                    {% if user.esAdministracion() %}
                    <th scope="col">EquipoDocente</th>
                    <th scope="col">Seleccionados</th>
                    {% else %}
                    <th scope="col">Numero Tribunales</th>
                    <th scope="col">Presidente</th>
                    <th scope="col">Tribunal</th>
                    <th scope="col">Suplente</th>
                    {% endif %}
                  </tr>
                </thead>
                <tbody>
                   
                  {% if flag %}

                  <div class="alert alert-warning" role="alert">
                    <strong>Warning!</strong> No puede repetir profesores en distintos roles.
                  </div>
                  {% endif %}
                 
                      {% if user.esAdministracion() %}
                         {% for docente in usuarios %} 
                           <tr>
                           <td scope="row">{{ docente.getNombreCompleto() }}</td>
                           <td><input type="checkbox" name="administracion" value="{{ docente.id }}"> </td>                         
                         </tr>
                    {% endfor %}
                        
                      {% endif %}

                      
                      {% if not user.esAdministracion() %}
                        
                        
                          {% for docente in equipo %}
                         <tr>
                            <td>{{docente.numero_Tribunales}}</td>
                            <td><input id="pr" type="checkbox" name="presidente" value="{{ docente.id }}"> {{ docente.nombre }}</td>
                            <td><input id="tr" type="checkbox" name="tribunal" value="{{ docente.id }}"> {{ docente.nombre }}</td>
                            <td><input id="ex" type="checkbox" name="externo" value="{{ docente.id }}"> {{ docente.nombre }}</td>
                            </tr>
                         {% endfor %}
                       
                      {% endif %}
                    
                </tbody>
            </table>  
            
            <a href="home" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>
            <button id="asignar"class="btn btn-success" type="submit"  onclick="return checkValues()" name="asignar">Asignar</button>
                                       
           </form> 
    </div>   

    
    <script>


        function submitForm() {
           var mystring = document.getElementById('asignar').value; 
          return confirm('¿Estás seuro que quieres continuar?');
        }


        function checkValues() {

            /*if($("input[name='administracion']:checked").length < 12){
                $(this).prop('checked', false)
                  alert("Seleccione al menos 12 docentes");
                  return false;
            }
            else*/ if ($("input[name='presidente']:checked").length < 1 ) {
                $(this).prop('checked', false)
                alert("Seleccione al menos un presidente");

              return false;
               }

            else if($("input[name='tribunal']:checked").length < 2) {
                $(this).prop('checked', false)
                alert($("input[name='presidente']:checked"));
                alert("Seleccione al menos dos tribunales");
                return false;
               }

            else if($("input[name='externo']:checked").length < 2) {
                $(this).prop('checked', false)
                alert("Seleccione al menos dos externos");
                return false;

            }else{
                return true;
               }


          
        }

        $('input[type=checkbox]').change(function(e){

        if($("input[name='administracion']:checked").length > 12){
            $(this).prop('checked', false)
            alert("allowed only 12");
             }

        else if ($("input[name='presidente']:checked").length > 1) {
            $(this).prop('checked', false)
            alert("allowed only 1");
             }

        else if($("input[name='tribunal']:checked").length > 2) {
            $(this).prop('checked', false)
            alert("allowed only 2");
             }

        else if($("input[name='externo']:checked").length > 2) {
            $(this).prop('checked', false)
            alert("allowed only 2");
             }
       
        })

        $('input[type="checkbox"]').click(function() {
          var tr = $("input[name='presidente']:checked");
          console.log(tr);
          var trtr = $("input[name='tribunal']");
          console.log(trtr);
          for(var input of trtr){
            if(tr == input){
              input.hide();
            }
          }
        });






    </script>



{% endblock %}